HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Server Operation (http://www.howtoforge.com/forums/forumdisplay.php?f=5)
-   -   Segmentation Fault while trying to start Apache (http://www.howtoforge.com/forums/showthread.php?t=11522)

vibs_im 20th March 2007 13:47

Segmentation Fault while trying to start Apache
 
Hi All

I am using a centOS server and am trying to install Apache 2.0.48 using a tar.gz file .....
The configure , make and make install commands got executed without any errors , but when i try to start Apache using either $ ./apachectl start or $ service httpd start ... I get the same error " Segmentation Fault $HTTPD -k $ARGV "

The following is the configure command that I used to install Apache :
$ ./configure --prefix=/home/new1/httpd/ --enable-rewrite --enable-mods-
shared=all --enable-logio --enable-deflate --enable-ssl

Hoping an urgent help .

Thanks in Advance

falko 21st March 2007 15:03

Have you tried to compile Apache again? If the problem persists, it might be a problem with your RAM.

Is there a reason why you don't install the CentOS Apache package?

vibs_im 22nd March 2007 05:58

Segmentation Fault while trying to start Apache
 
Quote:

Originally Posted by falko
Have you tried to compile Apache again? If the problem persists, it might be a problem with your RAM.

Is there a reason why you don't install the CentOS Apache package?

Hi ..
yes I have tried to compile Apache many times ... but in vain ... I have put the server on RAM testing ...... and am waiting for it to complete .

Actually my server environment is supposed to be Apache and PHP with OCI8 support ..... The Apache (2.0.52) is already installed and when I try to compile PHP with OCI8 support it is giving some httpd's apr utility related errors . Also Apache package already installed is without --enable-so which is giving problems ............

So , I had to reconfigure Apache .............

Thanks and any further help will be appreciated .

falko 23rd March 2007 17:43

Did you read this tutorial? http://www.howtoforge.com/apache_php...client_support

vibs_im 26th March 2007 08:24

Problem Solved
 
Hi Falko

I had already gone thru this tutorial .....
Actually the problem is solved .. :) I tried configuring Apache 2.0.50 instead of 2.0.48 and it was successful I don't know what was the problem with the previous version .... So, my server is now ready with Apache , PHP with oci8 support .

Thanks a lot anyways


All times are GMT +2. The time now is 04:15.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.